################################################################################
#
# NETIFD
#
################################################################################

NETIFD_VERSION:= 2016.12.09

NETIFD_SITE = $(TOPDIR)/../../src/3P/netifd/builders/cmake
NETIFD_SITE_METHOD = local
NETIFD_INSTALL_STAGING = YES

NETIFD_DEPENDENCIES = libubox json-c ubus uci libnl

NETIFD_CONF = SRC_DIR=$(TOPDIR)/../.. INC_DIR=$(WORKSPACE_DIR)buildroot/staging/usr/include

NETIFD_CONF_ENV = $(NETIFD_CONF)
NETIFD_MAKE_ENV = $(NETIFD_CONF)
NETIFD_CONF_OPTS += -DMODULE_PATH=$(TOPDIR)/../../bsp/cmake-modules -DCMAKE_BUILD_TYPE=$(BUILD_TYPE)

$(eval $(cmake-package))
